
/*** Common CSS Start ***/
.back-to-top {
    position: fixed;
    right: 30px;
    bottom: 30px;
    display: flex;
    width: 45px;
    height: 45px;
    align-items: center;
    justify-content: center;
    transition: 0.5s;
    z-index: 99;
}

h1 {
    color: #e44d10 !important;
    font-weight: 600;
    font-family: 'Montserrat', sans-serif;
}
h2,
h3,
.h1,
.h2,
.h3 {
    font-weight: 200;
    font-family: 'Montserrat', sans-serif;
}
.hero-header h1:first-child {
    font-family: 'Orbitron', sans-serif;
    font-weight: 700;
    color: #ff6a00;
    letter-spacing: 2px;
    text-shadow: 0 0 10px rgba(255,106,0,0.6);
}
.hero-header .display-1 {
    font-family: 'Poppins',sans-serif;
    font-weight: 600;
    line-height: 1.2;
}
h4,
h5,
h6,
.h4,
.h5,
.h6 {
    font-weight: 400;
    font-family: 'Montserrat', sans-serif;
}

.display-1,
.display-2,
.display-3,
.display-4,
.display-5,
.display-6 {
    font-weight: 400;
    font-family: 'Fredoka', sans-serif;
}
body {
    font-family: 'Poppins',sans-serif;
}

.hero-header h1 {
    font-family: 'Poppins',sans-serif;
    font-weight: 600;
}

.display-4,
.display-5,
.display-6 {
    font-weight: 600;
}

.wow,
.animated {
    animation-duration: 2s !important;
}
/*** Common CSS End ***/


/*** Button Start ***/
.btn {
    font-weight: 600;
    transition: .5s;
}

.btn-square {
    width: 32px;
    height: 32px;
}

.btn-sm-square {
    width: 34px;
    height: 34px;
}

.btn-md-square {
    width: 44px;
    height: 44px;
}

.btn-lg-square {
    width: 56px;
    height: 56px;
}

.btn-square,
.btn-sm-square,
.btn-md-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}

.btn.btn-primary {
    border: 0;
    color: white;
    background: linear-gradient(45deg,#6C63FF,#4facfe);
}

    .btn.btn-primary:hover {
        transform: scale(1.05);
        box-shadow: 0 8px 20px rgba(79,172,254,0.5);
    }

.btn-border-radius {
    border-radius: 25% 10%;
}

.img-border-radius {
    border-radius: 50% 20% / 10% 40%;
}

.title-border-radius {
    border-radius: 10% 30%;
}
/*** Button End ***/


/*** Topbar Start ***/

.topbar-left i {
    margin-right: 6px;
}
.topbar-divider {
    margin: 0 15px;
    opacity: .5;
}

.topbar-container {
    max-width: 1400px;
    margin: auto;
    padding: 10px 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.topbar .top-info {
    font-size: medium;
    font-weight: 400;
    font-family: 'Montserrat', sans-serif;
    letter-spacing: 1px;
    display: flex;
    align-items: center;
}

.topbar .top-link {
    display: flex;
    align-items: center;
    justify-content: center;
}

.topbar .top-link a {
    margin-right: 10px;
}

.topbar-right a:hover {
    background: white;
    color: #ff4b7d;
    transform: translateY(-2px);
}

.topbar .top-link a:hover i {
    color: var(--bs-primary) !important;
}
/*** Topbar End ***/


/* ===== MAIN HEADER ===== */

.main-header {
    background: linear-gradient(90deg,#6C63FF,#4facfe);
    width: 100%;
    box-shadow: 0 10px 25px rgba(0,0,0,0.1);
    backdrop-filter: blur(10px);
}
.navbar {
    background: linear-gradient(90deg,#4b4de6,#4facfe);
    padding: 12px 0;
    box-shadow: 0 4px 15px rgba(0,0,0,0.15);
}
.navbar-container {
    max-width: 1400px;
    margin: auto;
    padding: 18px 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.navbar .navbar-nav .nav-link {
    color: white;
    font-weight: 600;
    margin-right: 15px;
    transition: .3s;
}
.navbar-brand {
    font-size: 26px;
    font-weight: 700;
}

    .navbar-brand span {
        color: #00eaff;
    }
.fixed-top.scrolled {
    background: linear-gradient(90deg,#4b4de6,#3aa6ff);
    box-shadow: 0 8px 25px rgba(0,0,0,0.2);
}
.navbar .navbar-nav .nav-link:hover {
    color: #ffd6f5;
    transform: translateY(-2px);
}
.navbar .navbar-nav .nav-link.active,
.fixed-top.bg-white .navbar .navbar-nav .nav-link:hover,
.fixed-top.bg-white .navbar .navbar-nav .nav-link.active {
    color: var(--bs-primary);
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 700;
    vertical-align: middle;
    margin-left: 8px;
}

@media (min-width: 1200px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        visibility: hidden;
        top: 100%;
        font-weight: 400;
        font-family: 'Fredoka', sans-serif;
        transform: rotateX(-75deg);
        transform-origin: 0% 0%;
        border: 0;
        transition: .5s;
        opacity: 0;
    }
}

.dropdown .dropdown-menu a:hover {
    background: var(--bs-secondary);
    color: var(--bs-primary);
}

.navbar .nav-item:hover .dropdown-menu {
    transform: rotateX(0deg);
    visibility: visible;
    background: var(--bs-light) !important;
    border-radius: 0;
    transition: .5s;
    opacity: 1;
}
 
        .nav-menu a:hover {
            opacity: .8;
        }
.topbar .container-fluid,
.navbar .container-fluid {
    padding-left: 60px;
    padding-right: 60px;
}
#searchModal .modal-content {
    background: rgba(255, 255, 255, .8);
}
/*** Navbar End ***/


/*** Hero Header ***/
.hero-header,
.page-header {
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.05)), url(../~/Image/img/hero-img.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}
/*** Hero Header ***/


/*** About Start ***/
.video {
    position: relative;
    height: 100%;
    min-height: 400px;
    background: linear-gradient(rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0.1)), url(../~/Image/img/about.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 10px;
}

.video .btn-play {
    position: absolute;
    z-index: 3;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    box-sizing: content-box;
    display: block;
    width: 32px;
    height: 44px;
    border-radius: 50%;
    border: none;
    outline: none;
    padding: 18px 20px 18px 28px;
}

.video .btn-play:before {
    content: "";
    position: absolute;
    z-index: 0;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 100px;
    height: 100px;
    background: var(--bs-secondary);
    border-radius: 50%;
    animation: pulse-border 1500ms ease-out infinite;
}

.video .btn-play:after {
    content: "";
    position: absolute;
    z-index: 1;
    left: 50%;
    top: 50%;
    transform: translateX(-50%) translateY(-50%);
    display: block;
    width: 100px;
    height: 100px;
    background: var(--bs-primary);
    border-radius: 50%;
    transition: all 200ms;
}

.video .btn-play img {
    position: relative;
    z-index: 3;
    max-width: 100%;
    width: auto;
    height: auto;
}

.video .btn-play span {
    display: block;
    position: relative;
    z-index: 3;
    width: 0;
    height: 0;
    border-left: 32px solid var(--bs-white);
    border-top: 22px solid transparent;
    border-bottom: 22px solid transparent;
}

@keyframes pulse-border {
    0% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1);
        opacity: 1;
    }

    100% {
        transform: translateX(-50%) translateY(-50%) translateZ(0) scale(1.5);
        opacity: 0;
    }
}

#videoModal {
    z-index: 99999;
}

#videoModal .modal-dialog {
    position: relative;
    max-width: 800px;
    margin: 60px auto 0 auto;
}

#videoModal .modal-body {
    position: relative;
    padding: 0px;
}

#videoModal .close {
    position: absolute;
    width: 30px;
    height: 30px;
    right: 0px;
    top: -30px;
    z-index: 999;
    font-size: 30px;
    font-weight: normal;
    color: #FFFFFF;
    background: #000000;
    opacity: 1;
}

.video.border {
    border-radius: 50% 20% / 10% 40%;
}

.about {
    background: linear-gradient(rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0.8)), url(../~/Image/img/background.jpg);
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
}
/*** About End ***/


/*** service Start ***/
.service {
    background: linear-gradient(180deg,#f6f7ff,#eef2ff);
}

.service .service-item {
    box-shadow: 0 0 45px rgba(0, 0, 0, .1);
    width: 100%;
    height: 100%;
    border-radius: 50% 20% / 10% 40%;
    transition: 0.5s;
    position: relative;
}

.service-content::after {
    position: absolute;
    content: "";
    width: 0;
    height: 100%;
    top: 0;
    left: 0;
    right: auto;
    background: transparent;
    border-radius: 50% 20% / 10% 40%;
    transition: .5s;
}

.service-item:hover {
    border: 1px solid var(--bs-secondary) !important;
}

.service-item:hover .service-content::after {
    background: var(--bs-secondary);
    width: 100%;
    opacity: 1;
    z-index: 1;
}

.service-item .service-content .service-content-inner {
    position: relative;
    z-index: 2;
}

.service-item .service-content-inner i {
    font-size: 40px;
    color: #6C63FF;
}
.service-item .service-content-inner p,
.service-item .service-content-inner a.h4 {
    transition: 0.5s;
}

.service-item:hover .service-content-inner i,
.service-item:hover .service-content-inner p {
    color: var(--bs-white) !important;
}
.service-item:hover .service-content-inner a.h4 {
    color: var(--bs-primary);
}

.service-item:hover .service-content-inner a.btn-primary {
    background: var(--bs-white) !important;
    color: var(--bs-primary) !important;
}

.service-item .service-content-inner a.btn-primary:hover {
    background: var(--bs-primary) !important;
    color: var(--bs-white) !important;
}
/*** Service End ***/


/*** Programs Start ***/
.program {
    background: linear-gradient(rgba(255, 72, 128, 0.1), rgba(255, 72, 128, 0.1));
}

.program .program-item .program-img .program-rate {
    position: absolute;
    width: 100px; 
    top: -20px; 
    left: 50%; 
    margin-left: -50px; 
    border-radius: 10% / 50%;
}

.program .program-item .program-text {
    padding-top: 150px; 
    margin-top: -125px;
}

.program .program-item .program-img img,
.program .program-item .program-teacher img,
.program .program-item:hover .program-text-inner a.h4 {
    transition: 0.5s;
}

.program .program-item:hover .program-img img,
.program .program-item:hover .program-teacher img {
    transform: scale(1.2);
}

.program .program-item:hover .program-text-inner a.h4 {
    color: var(--bs-primary) !important;
}
/*** Programs End ***/


/*** Events Start ***/
.events .events-item {
    width: 100%;
    height: 100%;
    border-radius: 30%;
    position: relative;
}

.events .events-item .events-inner .events-rate {
    position: absolute;
    width: 120px; 
    top: -20px; 
    left: 50%; 
    margin-left: -60px; 
    border-radius: 10% / 50%;
}

.events .events-item .events-inner .events-img .event-overlay {
    position: absolute;
    top: 50%; 
    left: 50%;
    transform: translate(-50%, -50%);
    transition: 0.5s;
    z-index: 1;
    opacity: 0;
}

.events .events-item .events-inner .events-img:hover .event-overlay {
    opacity: 1;
}

.events .events-item .events-img::after {
    position: absolute;
    content: "";
    width: 100%;
    height: 0;
    top: 0;
    left: 0;
    bottom: auto;
    background: rgba(77, 101, 249, .7);
    border-radius: 10px;
    transition: 0.5s;
}

.events .events-item:hover .events-img::after {
    height: 100%;
    opacity: 1;
}

.events .events-item .events-text a.h4,
.events .events-item .events-img img {
    transition: 0.5s;
}

.events .events-item:hover .events-text a.h4 {
    color: var(--bs-primary) !important;
}

.events .events-item:hover .events-img img {
    transform: scale(1.3);
}
/*** Events End ***/


/*** Blog Start ***/
.blog .blog-item .blog-img::after {
    position: absolute;
    content: "";
    width: 100%;
    height: 0;
    top: 0;
    left: 0;
    bottom: auto;
    background: rgba(77, 101, 249, .7);
    border-radius: 10px 10px 0 0;
    transition: 0.5s;
}

.blog .blog-item:hover .blog-img::after {
    height: 100%;
    opacity: 1;
}

.blog .blog-item .blog-date-comments {
    padding-top: 150px !important; 
    margin-top: -125px;
}

.blog .blog-item .blog-img img,
.blog .blog-item .blog-content img,
.blog .blog-item .blog-text-inner a.h4 {
    transition: 0.5s;
}

.blog .blog-item:hover .blog-img img {
    transform: scale(1.3);
}

.blog .blog-item:hover .blog-content img {
    transform: scale(1.3);
}

.blog .blog-item:hover .blog-text-inner a.h4 {
    color: var(--bs-primary);
}
/*** Blog End ***/



/*** Team Start ***/
.team .team-item {
    position: relative;
    width: 100%;
    height: 100%;
}

.team .team-item .team-icon {
    position: absolute;
    bottom: 120px;
    left: 50%;
    transform: translateX(-50%);
}

.team .team-item .team-icon a.share-link {
    opacity: 0;
    transition: 0.5s;
}

.team .team-item:hover .team-icon a.share-link {
    opacity: 1;
}

.team .team-item .team-content,
.team .team-item .team-content h4,
.team .team-item .team-content p {
    transition: 0.5s;
}

.team .team-item:hover .team-content {
    background: var(--bs-primary) !important;
    border-radius: 0 0 10px 10px;
}

.team .team-item:hover .team-content h4 {
    color: var(--bs-white) !important;
}

.team .team-item:hover .team-content p {
    color: var(--bs-dark) !important;
}
/*** Team end ***/


/*** testimonial Start ***/
.testimonial .testimonial-carousel {
    position: relative;
    
}

.testimonial .testimonial-carousel .owl-dots {
    margin-top: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.testimonial .testimonial-carousel .owl-dot {
    position: relative;
    display: inline-block;
    margin: 0 5px;
    width: 15px;
    height: 15px;
    background: var(--bs-primary);
    border-radius: 10px;
    transition: 0.5s;
}

.testimonial .testimonial-carousel .owl-dot.active {
    width: 30px;
    background: var(--bs-secondary);
}
/*** testimonial End ***/


/* ===== AI FOOTER MODERN ===== */

.ai-footer {
    background: linear-gradient(135deg,#ffe4ec,#ffd6e7,#ffc9dd);
    color: white;
    padding: 40px 0 10px;
}
    /* ánh sáng nền */
.ai-footer::before {
    content: "";
    position: absolute;
    width: 450px;
    height: 450px;
    background: radial-gradient(circle,rgba(255,255,255,0.25),transparent 70%);
    top: -200px;
    left: -200px;
    animation: footerGlowMove 15s linear infinite;
}

@keyframes footerGlowMove {

    0% {
        transform: translate(0,0)
    }

    50% {
        transform: translate(200px,150px)
    }

    100% {
        transform: translate(0,0)
    }
}

/* LOGO */

.logo-footer {
    font-size: 34px;
    font-weight: 700;
    margin-bottom: 15px;
}

    .logo-footer span {
        color: #00eaff;
    }
    /* LINKS */
.ai-footer i {
    color: #00f5ff;
}
.ai-footer a {
    color: #ffffff;
    text-decoration: none;
    display: block;
    margin-bottom: 8px;
    transition: .3s;
    display: flex;
    align-items: center;
}

    .ai-footer a:hover {
        color: #ff6fb7;
        transform: translateX(6px);
    }

    .ai-footer a i {
        color: white;
        margin-right: 10px;
        font-size: 16px;
        transition: .3s;
        text-shadow: 0 0 8px rgba(255,255,255,0.6);
        background: linear-gradient(45deg,#00f5ff,#ffffff);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }

    .ai-footer a:hover i {
        color: #ffd6f5 !important;
        transform: translateX(5px) scale(1.1);
    }

/* SOCIAL ICON */

.social-icons {
    margin-top: 20px;
}

    .social-icons a {
        width: 40px;
        height: 40px;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        border-radius: 50%;
        background: rgba(255,255,255,0.15);
        margin-right: 10px;
        transition: .3s;
    }

        .social-icons a:hover {
            background: #ff6fb7;
            transform: scale(1.15);
            box-shadow: 0 0 15px #ff6fb7;
        }

/* SUPPORT BOX */

.support-box {
    background: rgba(255,255,255,0.15);
    padding: 12px 18px;
    border-radius: 10px;
    display: inline-block;
    margin-top: 15px;
    transition: .3s;
}

    .support-box:hover {
        background: #ff6fb7;
    }
   
    .header-contact span {
        font-size: 13px;
        opacity: .8;
    }

    .header-contact p {
        margin: 0;
        font-weight: 600;
    }
.navbar-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
/* LOGIN */

.login-btn {
    width: 42px;
    height: 42px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    background: rgba(255,255,255,0.2);
    color: white;
    margin-left: 20px;
    transition: .3s;
}

    .login-btn:hover {
        background: white;
        color: #6C63FF;
        transform: scale(1.1);
    }
.footer {
    background: #ffe4ec !important;
    padding: 20px 0 !important;
}
    /* title */
    .footer p {
        margin-bottom: 6px;
        font-size: 14px;
    }

    .footer h4 {
        margin-bottom: 10px;
    }
    .footer .row {
        row-gap: 10px;
    }
    .footer .container {
        padding-top: 15px !important;
        padding-bottom: 15px !important;
    }
   /* link */
.footer-item a {
    font-size: 13px;
    margin-bottom: 8px !important;
}

/* gallery */
.footer-galary-img {
    border-radius: 50%;
    border: 2px dashed #ff9cc2;
}

    .footer-galary-img img {
        padding: 2px;
    }

/* social icon */
.footer-icon .btn {
    width: 30px;
    height: 30px;
    font-size: 12px;
}

/* map */
.footer-map iframe {
    height: 110px;
}
.footer-logo {
    font-size: 32px;
    font-weight: 700;
}

    .footer-logo .ai {
        color: #ff4b8a;
    }

.footer-slogan {
    font-size: 14px;
    margin: 10px 0 15px 0;
    color: #555;
}

.footer-stats p {
    margin-bottom: 8px;
    font-size: 14px;
}
.footer-galary-img {
    overflow: hidden;
    transition: 0.4s;
}

    .footer-galary-img img {
        transition: 0.4s;
    }

    .footer-galary-img:hover img {
        transform: scale(1.2) rotate(5deg);
    }

    .footer-galary-img:hover {
        box-shadow: 0 5px 20px rgba(0,0,0,0.2);
    }
.service-col {
    flex: 0 0 20%;
    max-width: 20%;
}

@media (max-width:1200px) {
    .service-col {
        flex: 0 0 50%;
        max-width: 50%;
    }
}

@media (max-width:768px) {
    .service-col {
        flex: 0 0 100%;
        max-width: 100%;
    }
}
.hero-title {
    font-size: 60px;
    font-weight: 900;
    color: #e44d10;
}

.hero-subtitle {
    font-size: 38px;
    font-weight: 600;
    line-height: 1.4;
}
/* ===== CONTAINER ===== */

.container-header {
    max-width: 1400px;
    margin: auto;
    padding: 0 30px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}


/* ===== TOPBAR ===== */

.topbar {
    background: linear-gradient(135deg,#ff4b8a,#ff6fb7,#ff8ac6);
    color: white;
    font-size: 13px;
    padding: 4px 0;
}

.topbar-left{
    display:flex;
    align-items:center;
    gap:8px;
}

.topbar-right{
    display:flex;
    gap:10px;
}

    .topbar-right a {
        width: 26px;
        height: 26px;
        font-size: 12px;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        background: rgba(255,255,255,0.2);
        color: white;
    }


/* ===== NAVBAR ===== */

.navbar-main {
    background: linear-gradient(135deg,#ff4b8a,#ff6fb7,#ff8ac6);
    padding: 8px 0;
    box-shadow: 0 6px 15px rgba(0,0,0,0.15);
}
/* ===== LEFT ===== */

.nav-left{
    display:flex;
    align-items:center;
    gap:50px;
}


/* ===== LOGO ===== */

.logo {
    font-size: 22px;
    font-weight: 700;
    color: white;
}
.logo-ai{
    text-shadow:0 0 10px rgba(255,255,255,.8);
}


/* ===== MENU ===== */

.nav-menu{
    display:flex;
    gap:35px;
}

    .nav-menu a {
        font-size: 14px;
    }

.nav-menu a::after{
    content:"";
    position:absolute;
    left:0;
    bottom:-6px;
    width:0;
    height:2px;
    background:white;
    transition:.3s;
}

.nav-menu a:hover::after{
    width:100%;
}


/* ===== RIGHT ===== */

.nav-right{
    display:flex;
    align-items:center;
    gap:20px;
}


/* ===== CONTACT ===== */

.header-contact{
    display:flex;
    align-items:center;
    gap:10px;
    color:white;
}

.header-contact i{
    color:#fff;
}